<?php

$ret = array();

try {
    $ret[ 'branch' ] = trim( exec( 'git rev-parse --abbrev-ref HEAD' ) );
    $ret[ 'desc' ]   = trim( exec( 'git describe' ) );
    $ret[ 'time' ]   = trim( exec( 'git show -s --format=%ci HEAD' ) );
    $ret[ 'error' ]  = false;

} catch ( Exception $e ) {
    $ret[ 'error' ]  = true;
}

echo json_encode( $ret );

?>
